---
features:
  secondary:
    - name: "GitLab chart improvements"
      available_in: [core, premium, ultimate]
      gitlab_com: false
      documentation_link: 'https://docs.gitlab.com/charts/'
      reporter: dorrino
      stage: systems
      categories:
      - 'Cloud Native Installation'
      force_right: true
      description: |
        In GitLab 16.10, we've removed support for installing GitLab on Kubernetes 1.24 and older. Kubernetes maintenance support of Kubernetes 1.24 ended
        in July 2023.

        GitLab 16.10 includes support for installing GitLab on Kubernetes 1.27. For more information, see our new [Kubernetes version support policy](https://handbook.gitlab.com/handbook/engineering/careers/matrix/infrastructure/core-platform/distribution/). Our goal is to support newer versions of
        Kubernetes closer to their official release.
